%global _hardened_build 1
Summary:        A terminal multiplexer
Name:           tmux
Version:        3.4
Release:        3%{?dist}
License:        ISC and BSD
URL:            https://tmux.github.io/
Source0:        https://github.com/tmux/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        bash_completion_tmux.sh

BuildRequires:  make gcc bison
BuildRequires:  pkgconfig(libevent_core) >= 2, pkgconfig(tinfo), pkgconfig(ncurses), pkgconfig(ncursesw), libutempter-devel

%description
tmux is a terminal multiplexer: it enables a number of terminals to be created,
accessed, and controlled from a single screen. tmux may be detached from a 
screen and continue running in the background, then later reattached.



%prep
%autosetup



%build
%configure
%make_build



%install
%make_install
install -Dpm 644 %{SOURCE1} %{buildroot}%{_datadir}/bash-completion/completions/tmux



%post
if [ "$1" = 1 ]; then
  if [ ! -f %{_sysconfdir}/shells ] ; then
    touch %{_sysconfdir}/shells
  fi
  for binpath in %{_bindir} /bin; do
    if ! grep -q "^${binpath}/tmux$" %{_sysconfdir}/shells; then
       (cat %{_sysconfdir}/shells; echo "$binpath/tmux") > %{_sysconfdir}/shells.new
       mv %{_sysconfdir}/shells{.new,}
    fi
  done
fi

%postun
if [ "$1" = 0 ] && [ -f %{_sysconfdir}/shells ] ; then
  sed -e '\!^%{_bindir}/tmux$!d' -e '\!^/bin/tmux$!d' < %{_sysconfdir}/shells > %{_sysconfdir}/shells.new
  mv %{_sysconfdir}/shells{.new,}
fi



%files
%doc CHANGES
%doc example_tmux.conf
%{_bindir}/tmux
%{_mandir}/man1/tmux.1.*
%{_datadir}/bash-completion/completions/tmux



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-2
- Rebuilt for loongarch release

* Tue Apr 16 2024 Doris Chao <doriscchao@tencent.com> - 3.4-1 
- [Type] bugfix
- [DESC] Update to version 3.4 to resolve crashes when copying in copy-mode
- https://github.com/tmux/tmux/issues/3699

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3a-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3a-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3a-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 01 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.3a-1
- Initial building
